package com.chuanglan.shanyan_sdk_test_demo.http;


import android.util.Log;

import com.chuanglan.shanyan_sdk_test_demo.BuildConfig;

import java.util.Map;

import okhttp3.ResponseBody;
import retrofit2.Call;
import retrofit2.Retrofit;

public class RequestExample {

    public AuthenticationRequestApi getService() {
        //创建Retrofit对象
        Retrofit retrofit = new Retrofit.Builder()
                .baseUrl(BuildConfig.SERVER_URL)
                .build();

        //创建网络请求接口实例
        AuthenticationRequestApi service = retrofit.create(AuthenticationRequestApi.class);
        return service;
    }


    public Call<ResponseBody> getOneKeyLoginMobile(String appId, String tokenData, String timestamp, String sign) {
        Call<ResponseBody> service = null;
        Map<String, String> params = NetParams.getInstance().oneKeyLoginMobile(appId, tokenData, timestamp, sign);
        Log.e("logger", "params=" + params.toString());
        service = getService().getMobile(params);
        return service;
    }

    public Call<ResponseBody> getMobileValidate(String appId, String tokenData, String mobile, String sign, String timestamp) {
        Call<ResponseBody> service = null;
        Map<String, String> params = NetParams.getInstance().mobileValidate(appId, tokenData, sign, mobile, timestamp);
        service = getService().authentication(params);
        return service;
    }
}
