package com.chuanglan.shanyan_sdk_test_demo.http;

import java.util.HashMap;
import java.util.Map;

public class NetParams {
    public static volatile NetParams instance = null;

    public static NetParams getInstance() {
        if (instance == null) {
            synchronized (NetParams.class) {
                if (instance == null) {
                    instance = new NetParams();
                }

            }
        }
        return instance;
    }

    private NetParams() {
    }

    /**
     * 一键登录：置换手机号
     *
     * @param appId
     * @param tokenData
     * @param sign
     * @return
     */

    public Map<String, String> oneKeyLoginMobile(String appId, String tokenData, String timestamp, String sign) {
        Map<String, String> params = new HashMap<>();
        params.put("appId", appId);
        params.put("token", tokenData);
        params.put("timestamp", timestamp);
        params.put("sign", sign);

        return params;
    }

    /**
     * 本机号验证：校验手机号
     *
     * @param appId
     * @param tokenData
     * @param mobile
     * @param sign
     * @return
     */
    public Map<String, String> mobileValidate(String appId, String tokenData, String mobile, String sign, String timestamp) {
        Map<String, String> params = new HashMap<>();
        params.put("appId", appId);
        params.put("token", tokenData);
        params.put("mobile", mobile);
        params.put("sign", sign);
        params.put("timestamp", timestamp);

        return params;
    }

}
